Examplary
Start for free
Developer docs

Run app settings button

POSThttps://api.examplary.ai/org/apps/{appId}/settings-buttons/{buttonId}

Runs one of the buttons an app adds to its settings, e.g. "Sync now". When the app refuses, its message is the error.

Path parameters

appIdstringrequired
buttonIdstringrequired

Responses

200 — The button's action ran.

400 — The app refused, or is not installed.

404 — Unknown app or button.

429 — Rate limit exceeded

Requirements

Rate limit

30 requests per minute per user.

User roles

This endpoint requires the admin or owner role to be present.

OAuth scopes

This endpoint requires the apps:write scope to be present.